directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Seelmann <m...@stefan-seelmann.de>
Subject Re: [VOTE] Release of ApacheDS 2.0.0-M15
Date Fri, 16 Aug 2013 16:33:55 GMT
+1

I was also able build with JDK6 by removing
* the mavibot-partition module from main pom.xml
* mavibot dependencies from core-annotations/pom.xml
* MavibotPartitionFactory

The binary still uses JDBM as default partition and runs fine with Java
6. So in my opinion the Mavibot Java 7 requirement is no blocker.

For further releases I'd suggest to rename the source distribution to
something like "apacheds-<version>-source", currently it is named
"apacheds-parent-2.0.0-M15-source-release.zip".

Kind Regards,
Stefan


On 08/15/2013 07:39 AM, Felix Knecht wrote:
> As Kiran already mentioned, it builds only with JDK 1.7. Could it be
> that Mavibot was build using JDK 1.7?
> 
> Running
> org.apache.directory.server.core.partition.impl.btree.mavibot.MavibotRdnIndexTest
> 
> Tests run: 1, Failures: 0, Errors: 1, Skipped: 0, Time elapsed: 0.034
> sec <<< FAILURE! - in
> org.apache.directory.server.core.partition.impl.btree.mavibot.MavibotRdnIndexTest
> 
> initializationError(org.apache.directory.server.core.partition.impl.btree.mavibot.MavibotRdnIndexTest)
>  Time elapsed: 0.008 sec  <<< ERROR!
> java.lang.UnsupportedClassVersionError:
> org/apache/directory/mavibot/btree/RecordManager : Unsupported
> major.minor version 51.0
> 
> [X] +1 : release ApacheDS 2.0.0-M15
> 
> Regards
> Felix


Mime
View raw message